<?php
/******************************************************************************/
//                                                                            //
//                             InstantCMS v1.10                               //
//                        http://www.instantcms.ru/                           //
//                                                                            //
//                   written by InstantCMS Team, 2007-2012                    //
//                produced by InstantSoft, (www.instantsoft.ru)               //
//                                                                            //
//                        LICENSED BY GNU/GPL v2                              //
//                                                                            //
/******************************************************************************/

	@set_time_limit(0);

    session_start();

    header('Content-Type: text/html; charset=utf-8');
    define('VALID_CMS', 1);

    define('PATH', $_SERVER['DOCUMENT_ROOT']);

    include(PATH.'/core/cms.php');
    $inCore = cmsCore::getInstance();

    define('HOST', 'http://' . $inCore->getHost());

    cmsCore::loadClass('user');
	cmsCore::loadClass('cron');
	cmsCore::loadClass('actions');
    cmsCore::loadClass('page');

    $inConf = cmsConfig::getInstance();
    $inDB   = cmsDatabase::getInstance();

    // принудительно включаем дебаг
    $inConf->debug = 1;

    $version_prev = '1.9';
    $version_next = '1.10';

	$info_migrate_file = PATH.'/migrate/info.php';
	$M_INFO  = array();

	if (file_exists($info_migrate_file)){

		include($info_migrate_file);

	}

// ========================================================================== //
// ========================================================================== //
?>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<title>InstantCMS - Миграция</title>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
</head>

<body>
<style type="text/css">
	body { font-family:Arial; font-size:14px; }

	a { color: #0099CC; }
	a:hover { color: #375E93; }
	h2 { color: #375E93; }

	#wrapper { padding:10px 30px; }
	#wrapper p{ line-height: 20px; }

	.migrate p {
				   line-height:16px;
				   padding-left:20px;
				   margin:2px;
				   margin-left:20px;
				   background:url(/admin/images/actions/on.gif) no-repeat;
			   }
	.migrate p.info {
                   font-size: 16px;
				   background: none;
                   color: #C00;
			   }
	.important {
				   margin:20px;
				   margin-left:0px;
				   border:solid 1px silver;
				   padding:15px;
				   padding-left:65px;
				   background:url(important.png) no-repeat 15px 15px;
			   }
	 .nextlink {
				   margin-top:15px;
				   font-size:18px;
	 }
  </style>
<div id="wrapper" class="migrate">
<?php
    echo "<h2>Миграция InstantCMS {$version_prev} &rarr; {$version_next}</h2>";

	$folders = array();
	$folders[] = '/includes';
	$folders[] = '/migrate';

	foreach($folders as $key=>$folder){
		if(!@is_writable(PATH.$folder)){
			if (!@chmod(PATH.$folder, 0777)){
					echo '<div style="color:red">Директория "'.$folder.'" недоступна для записи. Миграция приостановлена.</div>';
			}
		}
	}

	if(!@is_writable(PATH.'/includes') || !@is_writable(PATH.'/migrate')){ exit; }

	$filepath = PATH.'/includes/config.inc.php';

	if (file_exists($filepath)){
		if (!@is_writable($filepath)){ echo '<div style="color:red">Файл <strong>'.$filepath.'</strong> недоступен для записи!</div>'; exit; }
	}

	if(!cmsCore::inRequest('go')){
	    echo '<p  class="info">Особое внимание обладателям премиум компонентов (Биллинг пользователей, InstantMaps, InstantShop и InstantVideo)!<br> Не выполняйте миграцию или отключите их в админке (включая сопутствующие модули и плагины), если обновления обозначенных компонентов под версию InstantCMS 1.10 у вас нет. Скрипт миграции конвертирует только таблицы указанных компонентов.</p><br>';
	    echo '<p  class="info">Внимание! Будет произведена конвертация базы в UTF-8 (при большой базе данных конвертация займет достаточно много времени).<br>Так же после конвертации база данных будет изменена согласно новой версии.<br>Убедитесь, что резервная копия базы создана и сайт выключен для посетителей!<br>!!!Не выполняйте миграцию на слабых хостингах, хостингах, где есть лимиты (max_execution_time, max_input_time) на время выполнения php.</p>';
		echo '<h3><a href="/migrate/index.php?go=1">продолжить и выполнить конвертацию базы данных</a></h3>';
	    echo '<p  class="info">Если вы выполнили конвертацию базы данных сами предварительно другими средствами - в консоли mysql или иными способами, то вы можете пропустить первый шаг и перейти сразу ко второму.</p>';
		echo '<h3><a href="/migrate/index.php?go=2">продолжить без конвертации, перейти ко второму шагу</a></h3>';
		exit;
	}

// ========================================================================== //
// ========================================================================== //
	$step = cmsCore::request('go', 'int', 0);

    echo '<h3>Шаг № '.$step.'</h3>';
// ========================================================================== //
// ========================================================================== //

	if($step == 1){
		if(!@$M_INFO['is_convert']){

			// формируем список таблиц, которые остались для конвертации
			$tables = array();
			$result = $inDB->query('SHOW TABLES');
			while($table = $inDB->fetch_assoc($result)){
				if(!in_array($table['Tables_in_'.$inConf->db_base], $M_INFO)){
					$tables[] = $table['Tables_in_'.$inConf->db_base];
				}
			}

			// если массив не пуст
			// берем из массива первый элемент
			if($tables){

				$curr_table = array_shift($tables);
				$inDB->query('ALTER TABLE '.$curr_table.' CONVERT TO CHARACTER SET utf8 COLLATE utf8_general_ci', false, false);
				// помечаем что сконвертили таблицу
				$M_INFO[$curr_table] = $curr_table;

				echo '<form method=post id=postform><input type=hidden name=go value="1"></form>
						<p>Таблица '.$curr_table.' успешно сконвертирована.</p>
						<script>window.setTimeout("document.getElementById(\'postform\').submit()",300);</script>';

				echo '<h4>Оставшиеся таблицы:</h4>';
				echo '<ul>';
				foreach($tables as $table){
					echo '<li>'.$table.'</li>';
				}
				echo '</ul>';

			} else { // считаем, что таблицы все сконверчены, меняем сравнение БД

				$inDB->query('ALTER DATABASE `'.$inConf->db_base.'` DEFAULT CHARACTER SET utf8 COLLATE utf8_general_ci');
				echo '<p>База данных сконвертирована в UTF-8, сравнение строк utf8_general_ci.</p>';
				echo '<h3><a href="/migrate/index.php?go=2">перейти ко второму шагу</a></h3>';
				$M_INFO['is_convert'] = 1;

			}

		} else {
			echo '<p>База данных уже была сконвертирована в UTF-8.</p>';
			echo '<h3><a href="/migrate/index.php?go=2">переходите ко второму шагу</a></h3>';
		}

	}

// ========================================================================== //
// ========================================================================== //

	if($step == 2){

		$inDB->query("ALTER TABLE `cms_forms` ADD INDEX ( `title` )");
		$inDB->query("ALTER TABLE `cms_form_fields` ADD INDEX ( `form_id` )");
        if (!$inDB->isFieldExists('cms_form_fields', 'description')){
            $inDB->query("ALTER TABLE `cms_form_fields` ADD `description` VARCHAR( 200 ) NOT NULL DEFAULT '' AFTER `title`");
            echo '<p>Поле <strong>description</strong> добавлено в таблицу <strong>cms_form_fields</strong></p>';
        }
        if (!$inDB->isFieldExists('cms_forms', 'form_action')){
            $inDB->query("ALTER TABLE `cms_forms` ADD `form_action` VARCHAR( 200 ) NOT NULL DEFAULT '/forms/process' AFTER `user_id`");
            echo '<p>Поле <strong>form_action</strong> добавлено в таблицу <strong>cms_forms</strong></p>';
        }
        if (!$inDB->isFieldExists('cms_forms', 'only_fields')){
            $inDB->query("ALTER TABLE `cms_forms` ADD `only_fields` TINYINT( 1 ) NOT NULL DEFAULT '0' AFTER `form_action`");
            echo '<p>Поле <strong>only_fields</strong> добавлено в таблицу <strong>cms_forms</strong></p>';
        }
        if (!$inDB->isFieldExists('cms_forms', 'showtitle')){
            $inDB->query("ALTER TABLE `cms_forms` ADD `showtitle` TINYINT( 1 ) NOT NULL DEFAULT '1' AFTER `only_fields`");
            echo '<p>Поле <strong>showtitle</strong> добавлено в таблицу <strong>cms_forms</strong></p>';
        }

		if (!$inDB->isFieldExists('cms_modules', 'author')){
			$inDB->query("ALTER TABLE `cms_modules` ADD INDEX ( `position` )");
            $inDB->query("ALTER TABLE `cms_modules` ADD `author` VARCHAR( 100 ) NOT NULL DEFAULT 'InstantCMS team' AFTER `is_strict_bind`");
			echo '<p>Поле <strong>author</strong> добавлено в таблицу <strong>cms_modules</strong></p>';
		}

		if (!$inDB->isFieldExists('cms_comment_targets', 'target_table')){
			$inDB->query("ALTER TABLE `cms_comment_targets` ADD `target_table` VARCHAR( 32 ) NOT NULL AFTER `title`");
			echo '<p>Поле <strong>target_table</strong> добавлено в таблицу <strong>cms_comment_targets</strong></p>';
		}

		if (!$inDB->isFieldExists('cms_comment_targets', 'subj')){
			$inDB->query("ALTER TABLE `cms_comment_targets` ADD `subj` VARCHAR( 100 ) NOT NULL AFTER `target_table`");
			echo '<p>Поле <strong>subj</strong> добавлено в таблицу <strong>cms_comment_targets</strong></p>';
		}

		$inDB->query("ALTER IGNORE TABLE `cms_rating_targets` DROP INDEX `target` , ADD UNIQUE `target` ( `target` )");
		$inDB->query("ALTER IGNORE TABLE `cms_comment_targets` DROP INDEX `target` , ADD UNIQUE `target` ( `target` )");

	   	if (!$inDB->isFieldExists('cms_photo_files', 'rating')){

			$inDB->query("ALTER TABLE `cms_photo_files` ADD `rating` INT( 11 ) NOT NULL DEFAULT '0' AFTER `owner`");
			echo '<p>Поле <strong>rating</strong> добавлено в таблицу <strong>cms_photo_files</strong></p>';

			$sql = "SELECT c.id,
						   IFNULL(SUM(r.total_rating), 0) AS rating
					FROM cms_photo_files c
					LEFT JOIN cms_ratings_total r ON r.item_id = c.id AND r.target = 'photo'
					GROUP BY c.id";

			$result = $inDB->query($sql);

			if ($inDB->num_rows($result)){
				while($com = $inDB->fetch_assoc($result)){
					$insert_sql  = "UPDATE cms_photo_files SET rating='{$com['rating']}' WHERE id = '{$com['id']}'";
					$inDB->query($insert_sql);
				}
			}

			unset($result);
			echo '<p>Рейтинг общих фотографий агрегирован</p>';

		}

	   	if (!$inDB->isFieldExists('cms_blog_posts', 'comments_count')){

			$inDB->query("ALTER TABLE `cms_blog_posts` ADD `comments_count` INT( 11 ) NOT NULL DEFAULT '0' AFTER `comments`");
			echo '<p>Поле <strong>comments_count</strong> добавлено в таблицу <strong>cms_blog_posts</strong></p>';

			$sql = "SELECT id FROM cms_blog_posts WHERE comments = 1";

			$result = $inDB->query($sql);

			if ($inDB->num_rows($result)){
				while($com = $inDB->fetch_assoc($result)){
					$com_count = cmsCore::getCommentsCount('blog', $com['id']);
					$inDB->query("UPDATE cms_blog_posts SET comments_count = '{$com_count}' WHERE id = '{$com['id']}'");
				}
			}

			unset($result);
			echo '<p>Количество комментариев постов блогов агрегированы</p>';

		}

	   	if (!$inDB->isFieldExists('cms_blogs', 'comments_count')){

			$inDB->query("ALTER TABLE `cms_blogs` ADD `comments_count` INT( 11 ) NOT NULL DEFAULT '0' AFTER `rating`");
			echo '<p>Поле <strong>comments_count</strong> добавлено в таблицу <strong>cms_blogs</strong></p>';

			$sql = "SELECT b.id,
						   IFNULL(SUM(p.comments_count), 0) AS blog_comments_count
					FROM cms_blogs b
					LEFT JOIN cms_blog_posts p ON p.blog_id = b.id
					GROUP BY b.id";

			$result = $inDB->query($sql);

			if ($inDB->num_rows($result)){
				while($com = $inDB->fetch_assoc($result)){
					$inDB->query("UPDATE cms_blogs SET comments_count = '{$com['blog_comments_count']}' WHERE id = '{$com['id']}'");
				}
			}

			unset($result);
			echo '<p>Количество комментариев блогов агрегированы</p>';

		}

	   	if (!$inDB->isFieldExists('cms_blog_posts', 'rating')){

			$inDB->query("ALTER TABLE `cms_blog_posts` ADD `rating` INT( 11 ) NOT NULL DEFAULT '0' AFTER `comments_count`");
			echo '<p>Поле <strong>rating</strong> добавлено в таблицу <strong>cms_blog_posts</strong></p>';

			$sql = "SELECT p.id,
						   IFNULL(SUM(r.total_rating), 0) AS rating
					FROM cms_blog_posts p
					LEFT JOIN cms_ratings_total r ON r.item_id = p.id AND r.target = 'blogpost'
					GROUP BY p.id";

			$result = $inDB->query($sql);

			if ($inDB->num_rows($result)){
				while($con = $inDB->fetch_assoc($result)){
					$insert_sql  = "UPDATE cms_blog_posts SET rating='{$con['rating']}' WHERE id = '{$con['id']}'";
					$inDB->query($insert_sql);
				}
			}

			unset($result);
			echo '<p>Рейтинг постов блогов агрегирован</p>';

		}

		cmsCore::registerRatingsTarget('club_photo', 'clubs', 'Фото в клубе', true, 5, 'cms_photo_files');
		cmsCore::registerCommentsTarget('club_photo', 'clubs', 'Фото в клубах', 'cms_photo_files', 'вашей фотографии');
        $sql = "SELECT p.id
                FROM cms_photo_files p
                INNER JOIN cms_photo_albums a ON a.id = p.album_id AND a.NSDiffer LIKE '%club%' ";
        $result = $inDB->query($sql);
        if ($inDB->num_rows($result)){
            while($p = $inDB->fetch_assoc($result)){
                $inDB->query("UPDATE cms_comments SET target='club_photo' WHERE target_id = '{$p['id']}' AND target = 'photo'");
                $inDB->query("UPDATE cms_ratings SET target='club_photo' WHERE item_id = '{$p['id']}' AND target = 'photo'");
                $inDB->query("UPDATE cms_ratings_total SET target='club_photo' WHERE item_id = '{$p['id']}' AND target = 'photo'");
            }
            echo '<p>Добавлена новая цель для рейтинга клубных фото.</p>';
            echo '<p>Добавлена новая цель для комментариев клубных фото.</p>';
            echo '<p>Записи комментариев и рейтинга для клубных фото перенаправлены.</p>';
        }

		cmsCore::registerRatingsTarget('club_post', 'clubs', 'Пост блога клуба', true, 5, 'cms_blog_posts');
		cmsCore::registerCommentsTarget('club_post', 'clubs', 'Пост блога клуба', 'cms_blog_posts', 'вашей записи в клубном блоге');
        $sql = "SELECT p.id
                FROM cms_blog_posts p
                INNER JOIN cms_blogs b ON b.id = p.blog_id AND b.owner = 'club'";
        $result = $inDB->query($sql);
        if ($inDB->num_rows($result)){
            while($p = $inDB->fetch_assoc($result)){
                $inDB->query("UPDATE cms_comments SET target='club_post' WHERE target_id = '{$p['id']}' AND target = 'blog'");
                $inDB->query("UPDATE cms_ratings SET target='club_post' WHERE item_id = '{$p['id']}' AND target = 'blogpost'");
                $inDB->query("UPDATE cms_ratings_total SET target='club_post' WHERE item_id = '{$p['id']}' AND target = 'blogpost'");
            }
            echo '<p>Добавлена новая цель для рейтинга клубных постов блога.</p>';
            echo '<p>Добавлена новая цель для комментариев клубных постов блога.</p>';
            echo '<p>Записи комментариев и рейтинга для клубных постов блога перенаправлены.</p>';
        }

		$inDB->query("UPDATE `cms_user_wall` SET `usertype` = 'users' WHERE `usertype` = 'user'");
		$inDB->query("UPDATE `cms_user_wall` SET `usertype` = 'clubs' WHERE `usertype` = 'club'");

		$inDB->query("UPDATE `cms_comment_targets` SET `target_table` = 'cms_content', `subj` = 'вашей статьи' WHERE `target` = 'article'");
		$inDB->query("UPDATE `cms_comment_targets` SET `target_table` = 'cms_blog_posts', `subj` = 'вашей записи в блоге' WHERE `target` = 'blog'");
		$inDB->query("UPDATE `cms_comment_targets` SET `target_table` = 'cms_photo_albums', `subj` = 'вашего фотоальбома' WHERE `target` = 'palbum'");
		$inDB->query("UPDATE `cms_comment_targets` SET `target_table` = 'cms_photo_files', `subj` = 'вашей фотографии' WHERE `target` = 'photo'");
		$inDB->query("UPDATE `cms_comment_targets` SET `target_table` = 'cms_user_photos', `subj` = 'вашей фотографии' WHERE `target` = 'userphoto'");
		$inDB->query("UPDATE `cms_comment_targets` SET `target_table` = 'cms_uc_items', `subj` = 'вашей записи' WHERE `target` = 'catalog'");
		$inDB->query("UPDATE `cms_comment_targets` SET `target_table` = 'cms_board_items', `subj` = 'вашего объявления' WHERE `target` = 'boarditem'");
		$inDB->query("UPDATE `cms_comment_targets` SET `target_table` = 'cms_faq_quests', `subj` = 'вашего вопроса' WHERE `target` = 'faq'");

	   	if (!$inDB->isFieldExists('cms_content', 'rating')){

			$inDB->query("ALTER TABLE `cms_content` ADD `rating` INT( 11 ) NOT NULL DEFAULT '0' AFTER `hits`");
			echo '<p>Поле <strong>rating</strong> добавлено в таблицу <strong>cms_content</strong></p>';

			$sql = "SELECT c.id as id,
						   IFNULL(SUM(r.total_rating), 0) AS rating
					FROM cms_content c
					LEFT JOIN cms_ratings_total r ON r.item_id = c.id AND r.target = 'content'
					GROUP BY c.id";

			$result = $inDB->query($sql);

			if ($inDB->num_rows($result)){
				while($con = $inDB->fetch_assoc($result)){
					$insert_sql  = "UPDATE cms_content SET rating='{$con['rating']}' WHERE id = '{$con['id']}'";
					$inDB->query($insert_sql);
				}
			}

			unset($result);
			echo '<p>Рейтинг статей агрегирован</p>';

		}

	   	if (!$inDB->isFieldExists('cms_comments', 'rating')){

			$inDB->query("ALTER TABLE `cms_comments` ADD `rating` INT( 11 ) NOT NULL DEFAULT '0' AFTER `is_hidden`");
			echo '<p>Поле <strong>rating</strong> добавлено в таблицу <strong>cms_comments</strong></p>';

			$sql = "SELECT c.id,
						   IFNULL(SUM(r.total_rating), 0) AS rating
					FROM cms_comments c
					LEFT JOIN cms_ratings_total r ON r.item_id = c.id AND r.target = 'comment'
					GROUP BY c.id";

			$result = $inDB->query($sql);

			if ($inDB->num_rows($result)){
				while($com = $inDB->fetch_assoc($result)){
					$insert_sql  = "UPDATE cms_comments SET rating='{$com['rating']}' WHERE id = '{$com['id']}'";
					$inDB->query($insert_sql);
				}
			}

			unset($result);
			echo '<p>Рейтинг комментариев агрегирован</p>';

		}

	   	if (!$inDB->isFieldExists('cms_user_clubs', 'id')){

			$inDB->query("ALTER TABLE `cms_user_clubs` ADD `id` INT( 11 ) NOT NULL AUTO_INCREMENT PRIMARY KEY FIRST");
			echo '<p>Поле <strong>id</strong> добавлено в таблицу <strong>cms_user_clubs</strong></p>';

		}

	   	if (!$inDB->isFieldExists('cms_clubs', 'members_count')){

			$inDB->query("ALTER TABLE `cms_clubs` ADD `members_count` INT( 11 ) NOT NULL DEFAULT '1' AFTER `rating`");
			echo '<p>Поле <strong>members_count</strong> добавлено в таблицу <strong>cms_clubs</strong></p>';

            $sql = "SELECT id FROM cms_clubs";
            $result = $inDB->query($sql);

            if ($inDB->num_rows($result)){

                cmsCore::loadModel('clubs');
                $club_model = new cms_model_clubs();

                while($club = $inDB->fetch_assoc($result)){
                    $club_model->setClubMembersCount($club['id']);
                }

                echo '<p>Количество участников клубов агрегировано.</p>';

            }

		}

		$inDB->query("ALTER TABLE `cms_upload_images` ADD `component` VARCHAR( 32 ) NOT NULL AFTER `target`");
		$inDB->query("ALTER TABLE `cms_upload_images` CHANGE `post_id` `target_id` INT( 11 ) NOT NULL DEFAULT '0'");
		$inDB->query("ALTER TABLE `cms_upload_images` ADD INDEX ( `target_id` )");
		$inDB->query("ALTER TABLE `cms_upload_images` ADD INDEX ( `session_id` )");
		$inDB->query("ALTER TABLE `cms_blog_cats` ADD `description` VARCHAR( 1000 ) NOT NULL AFTER `title`");
		$inDB->query("ALTER TABLE `cms_photo_files` ADD INDEX ( `owner` )");
		$inDB->query("ALTER TABLE `cms_user_clubs` CHANGE `role` `role` VARCHAR( 20 ) NOT NULL DEFAULT 'member'");
		$inDB->query("UPDATE `cms_modules` SET `name` = 'Клубы', `title` = 'Клубы',`content` = 'mod_clubs' WHERE `content` = 'mod_latestclubs'");
		$inDB->query("UPDATE `cms_modules` SET `name` = 'Фотографии', `title` = 'Фотографии', `content` = 'mod_photo' WHERE `content` = 'mod_latestphoto'");
		$inDB->query("UPDATE `cms_modules` SET `name` = 'Записи в блогах', `title` = 'Записи в блогах',`content` = 'mod_blogs' WHERE `content` = 'mod_latestblogs'");
		$inDB->query("UPDATE `cms_modules` SET `published` = 0 WHERE `content` = 'mod_bestblogs'");
		$inDB->query("UPDATE `cms_modules` SET `published` = 0 WHERE `content` = 'mod_bestclubs'");
		$inDB->query("UPDATE `cms_modules` SET `published` = 0 WHERE `content` = 'mod_bestphoto'");
		$inDB->query("ALTER TABLE `cms_online` CHANGE `lastdate` `lastdate` TIMESTAMP ON UPDATE CURRENT_TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP");
		$inDB->query("ALTER IGNORE TABLE `cms_online` ADD UNIQUE (`sess_id`)");
		$inDB->query("ALTER TABLE `cms_photo_albums` CHANGE `pubdate` `pubdate` TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP");
		$inDB->query("ALTER TABLE `cms_blog_posts` CHANGE `edit_date` `edit_date` TIMESTAMP ON UPDATE CURRENT_TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP");
		$inDB->query("ALTER TABLE `cms_blog_posts` CHANGE `edit_times` `edit_times` INT( 11 ) NOT NULL DEFAULT '0'");
		$inDB->query("ALTER TABLE `cms_photo_files` CHANGE `pubdate` `pubdate` TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP");
		$inDB->query("ALTER TABLE `cms_blogs` CHANGE `pubdate` `pubdate` TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP");
		$inDB->query("ALTER TABLE `cms_blogs` CHANGE `premod` `premod` TINYINT( 1 ) NOT NULL DEFAULT '0'");
		$inDB->query("ALTER TABLE `cms_blogs` CHANGE `forall` `forall` TINYINT( 1 ) NOT NULL DEFAULT '0'");
		$inDB->query("ALTER TABLE `cms_blogs` CHANGE `rating` `rating` INT( 11 ) NOT NULL DEFAULT '0'");
		$inDB->query("ALTER TABLE `cms_clubs` CHANGE `pubdate` `pubdate` TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP");
		$inDB->query("ALTER TABLE `cms_clubs` CHANGE `title` `title` VARCHAR( 200 ) NOT NULL");
		$inDB->query("ALTER TABLE `cms_user_clubs` CHANGE `pubdate` `pubdate` TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP");
		$inDB->query("ALTER TABLE `cms_modules` CHANGE `original` `original` INT( 11 ) NOT NULL DEFAULT '1'");
		$inDB->query("ALTER TABLE `cms_modules` CHANGE `user` `user` INT( 11 ) NOT NULL DEFAULT '0'");
		$inDB->query("ALTER TABLE `cms_modules` CHANGE `ordering` `ordering` INT( 11 ) NOT NULL DEFAULT '1'");
		$inDB->query("ALTER TABLE `cms_user_profiles` CHANGE `cm_subscribe` `cm_subscribe` VARCHAR( 4 ) NOT NULL DEFAULT 'both'");
		$inDB->query("ALTER TABLE `cms_content` CHANGE `hits` `hits` INT( 11 ) NOT NULL DEFAULT '0'");
		$inDB->query("ALTER TABLE `cms_comments` CHANGE `pubdate` `pubdate` TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP");
		if(!$inDB->get_field('cms_cron_jobs', "job_name='moveArticlesToArchive'", 'id')){
			cmsCron::registerJob('moveArticlesToArchive', array(
											'interval' => 24,
											'component' => 'content',
											'model_method' => 'moveArticlesToArchive',
											'comment' => 'Переносит просроченные статьи в архив',
											'custom_file' => '',
											'enabled' => 1,
											'class_name' => '',
											'class_method' => ''
									  ));
			echo '<p>Задание для CRON "Переносит просроченные статьи в архив" добавлено</p>';
		}
		if(!$inDB->rows_count('cms_plugins', "plugin='p_auto_forum'")){
			$plugin = $inCore->loadPlugin('p_auto_forum');
			$plugin->install();
			$inCore->unloadPlugin($plugin);
			echo '<p>Плагин автофорум для статей добавлен.</p>';
		}

		if(!cmsActions::getAction('add_photo_club')){
			cmsActions::registerAction('clubs',
										array(
												'name'=>'add_photo_club',
												'title'=>'Добавление фото в альбом клуба',
												'message'=>'добавляет фото %s| в альбом клуба %s'
											 )
									  );
		}

        $add_post_club = cmsActions::getAction('add_post_club');
        $inDB->query("UPDATE cms_actions SET message = 'пишет пост %s| в блоге клуба %s' WHERE id = '{$add_post_club['id']}'");

		if (!$inDB->isTableExists('cms_user_groups_access')){

			$sql = "CREATE TABLE IF NOT EXISTS `cms_user_groups_access` (
					  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
					  `access_type` varchar(60) NOT NULL,
					  `access_name` varchar(100) NOT NULL,
					  PRIMARY KEY  (`id`),
					  UNIQUE KEY `access_type` (`access_type`)
					) ENGINE=MyISAM  DEFAULT CHARSET=utf8";

			$inDB->query($sql);

			echo '<p>Таблица <strong>cms_user_groups_access</strong> создана</p>';

			cmsUser::registerGroupAccessType('comments/add', 'Добавление комментариев');
			cmsUser::registerGroupAccessType('comments/bbcode', 'Расширенный редактор комментариев (BBCode)');
			cmsUser::registerGroupAccessType('comments/delete', 'Удаление своих комментариев');
			cmsUser::registerGroupAccessType('comments/moderate', 'Модерация комментариев');
			cmsUser::registerGroupAccessType('comments/iscomments', 'Возможность отключать комментарии в своем блоге');
			cmsUser::registerGroupAccessType('forum/moderate', 'Модерация форума');
			cmsUser::registerGroupAccessType('content/add', 'Добавление статей на сайт');
			cmsUser::registerGroupAccessType('content/autoadd', 'Принимать статьи без модерации');
			cmsUser::registerGroupAccessType('content/delete', 'Удаление своих статей');
			cmsUser::registerGroupAccessType('board/add', 'Добавление объявлений');
			cmsUser::registerGroupAccessType('board/autoadd', 'Принимать объявления без модерации');
			cmsUser::registerGroupAccessType('board/moderate', 'Модерация доски объявлений');

			echo '<p>Таблица <strong>cms_user_groups_access</strong> заполнена</p>';

		}

        $inDB->query("ALTER TABLE `cms_user_profiles` CHANGE `description` `description` VARCHAR( 500 ) NOT NULL ,
                    CHANGE `showmail` `showmail` TINYINT( 1 ) NOT NULL DEFAULT '0',
                    CHANGE `showbirth` `showbirth` TINYINT( 1 ) NOT NULL DEFAULT '0',
                    CHANGE `showicq` `showicq` TINYINT( 1 ) NOT NULL DEFAULT '0',
                    CHANGE `karma` `karma` INT( 11 ) NOT NULL DEFAULT '0',
                    CHANGE `formsdata` `formsdata` VARCHAR( 800 ) NOT NULL,
                    CHANGE `stats` `stats` VARCHAR( 500 ) NOT NULL");

		echo '<p>Все изменения по общему изменению струтур таблиц выполнены.</p>';
		echo '<h3><a href="/migrate/index.php?go=3">переходите к третьему шагу</a></h3>';

	}

// ========================================================================== //
// ========================================================================== //

	if($step == 3){
        if(!@$M_INFO['is_convert_forum']){

            if (!$inDB->isFieldExists('cms_forum_posts', 'content_html')){
                $inDB->query("ALTER TABLE `cms_forum_posts` ADD `content_html` TEXT NOT NULL AFTER `content`");
                echo '<p>Поле <strong>content_html</strong> добавлено в таблицу <strong>cms_forum_posts</strong></p>';
            }

            $page = cmsCore::request('page', 'int', 1);
            $perpage = 40;

            $post_count = $inDB->rows_count('cms_forum_posts', '1=1');
            $post_left  = $perpage*($page-1);

            if($post_left <= $post_count){

                $sql = "SELECT id, content FROM cms_forum_posts LIMIT ".($page-1)*$perpage.", ".$perpage;
                $result = $inDB->query($sql);

                if ($inDB->num_rows($result)){
                    while($p = $inDB->fetch_assoc($result)){
                        $bb_text = html_entity_decode($p['content'], ENT_QUOTES, 'UTF-8');
                        $bb_text_db = cmsDatabase::escape_string($bb_text);
                        $html = cmsDatabase::escape_string(cmsCore::parseSmiles($bb_text, true));
                        $inDB->query("UPDATE cms_forum_posts SET content = '{$bb_text_db}', content_html='{$html}' WHERE id = '{$p['id']}'");
                    }
                }

                echo '<form method=post id=postform><input type=hidden name=go value="3"><input type=hidden name=page value="'.($page+1).'"></form>
                    <script>window.setTimeout("document.getElementById(\'postform\').submit()",500);</script>';

                echo '<h3>Выполняется оптимизация сообщений форума, пожалуйста не нажимайте кнопку "стоп" браузера, дождитесь окончания выполнения!</h3>';
                echo '<p>Оптимизировано сообщений '.$post_left.' из '.$post_count.'</p>';

                die();

            } else {
                echo '<p>Все сообщения форума оптимизированы.</p>';
            }

            cmsCore::loadModel('forum');
            $forum_model = new cms_model_forum();

            if (!$inDB->isFieldExists('cms_forum_posts', 'pinned')){
                $inDB->query("ALTER TABLE `cms_forum_posts` ADD `pinned` TINYINT( 1 ) NOT NULL DEFAULT '0' AFTER `user_id`");
                echo '<p>Поле <strong>pinned</strong> добавлено в таблицу <strong>cms_forum_posts</strong></p>';
            }
            if (!$inDB->isFieldExists('cms_forums', 'members_count')){
                $inDB->query("ALTER TABLE `cms_forums` ADD `thread_count` INT( 11 ) NOT NULL DEFAULT '0' AFTER `topic_cost`");
                echo '<p>Поле <strong>thread_count</strong> добавлено в таблицу <strong>cms_forums</strong></p>';
            }
            if (!$inDB->isFieldExists('cms_forums', 'post_count')){
                $inDB->query("ALTER TABLE `cms_forums` ADD `post_count` INT( 11 ) NOT NULL DEFAULT '0' AFTER `thread_count`");
                echo '<p>Поле <strong>post_count</strong> добавлено в таблицу <strong>cms_forums</strong></p>';
            }
            if (!$inDB->isFieldExists('cms_forums', 'last_msg')){
                $inDB->query("ALTER TABLE `cms_forums` ADD `last_msg` TEXT NOT NULL AFTER `post_count`");
                echo '<p>Поле <strong>last_msg</strong> добавлено в таблицу <strong>cms_forums</strong></p>';
            }
            if (!$inDB->isFieldExists('cms_forum_threads', 'post_count')){
                $inDB->query("ALTER TABLE `cms_forum_threads` ADD `post_count` INT( 11 ) NOT NULL DEFAULT '0' AFTER `rel_id`");
                echo '<p>Поле <strong>post_count</strong> добавлено в таблицу <strong>cms_forum_threads</strong></p>';
            }
            if (!$inDB->isFieldExists('cms_forum_threads', 'last_msg')){
                $inDB->query("ALTER TABLE `cms_forum_threads` ADD `last_msg` TEXT NOT NULL AFTER `post_count`");
                echo '<p>Поле <strong>last_msg</strong> добавлено в таблицу <strong>cms_forum_threads</strong></p>';
            }
            if (!$inDB->isFieldExists('cms_forum_posts', 'rating')){
                $inDB->query("ALTER TABLE `cms_forum_posts` ADD `rating` INT( 11 ) NOT NULL DEFAULT '0' AFTER `edittimes`");
                echo '<p>Поле <strong>rating</strong> добавлено в таблицу <strong>cms_forum_posts</strong></p>';
            }
            if (!$inDB->isFieldExists('cms_forum_posts', 'attach_count')){
                $inDB->query("ALTER TABLE `cms_forum_posts` ADD `attach_count` INT( 11 ) NOT NULL DEFAULT '0' AFTER `rating`");
                echo '<p>Поле <strong>attach_count</strong> добавлено в таблицу <strong>cms_forum_posts</strong></p>';
            }
            if ($inDB->isFieldExists('cms_forum_votes', 'answer_id')){
                $inDB->query("ALTER TABLE `cms_forum_votes` CHANGE `answer_id` `answer` VARCHAR( 300 ) NOT NULL");
                echo '<p>Поле <strong>answer_id</strong> изменено на "answer VARCHAR( 300 )" таблицы <strong>cms_forum_votes</strong></p>';
            }
            $inDB->query("ALTER TABLE `cms_forum_posts` DROP INDEX `content`");
            $inDB->query("ALTER TABLE `cms_forum_posts` ADD FULLTEXT (`content_html`)");
            if (!$inDB->isFieldExists('cms_forums', 'moder_list')){
                $inDB->query("ALTER TABLE `cms_forums` ADD `moder_list` TINYTEXT NOT NULL AFTER `access_list`");
                echo '<p>Поле <strong>moder_list</strong> добавлено в таблицу <strong>cms_forums</strong></p>';
            }
            if (!$inDB->isFieldExists('cms_user_profiles', 'signature_html')){
                $inDB->query("ALTER TABLE `cms_user_profiles` ADD `signature_html` VARCHAR( 300 ) NOT NULL AFTER `signature`");
                echo '<p>Поле <strong>signature_html</strong> добавлено в таблицу <strong>cms_user_profiles</strong></p>';
                $sql = "SELECT id, signature FROM cms_user_profiles WHERE signature <> ''";
                $result = $inDB->query($sql);
                if ($inDB->num_rows($result)){
                    while($up = $inDB->fetch_assoc($result)){

                        $signature_html = cmsDatabase::escape_string(cmsCore::parseSmiles($up['signature'], true));
                        $inDB->query("UPDATE cms_user_profiles SET signature_html='{$signature_html}' WHERE id='{$up['id']}'");

                    }
                }
            }

            cmsCore::registerRatingsTarget('forum_post', 'forum', 'Сообщение в теме форума', true, 2, 'cms_forum_posts');

			$result = $inDB->query("SELECT id FROM cms_forum_threads");

            if ($inDB->num_rows($result)){
				while($thread = $inDB->fetch_assoc($result)){

                    $forum_model->updateThreadPostCount($thread['id']);
                    $forum_model->cacheThreadLastPost($thread['id']);

				}
            }

			$result = $inDB->query("SELECT * FROM cms_forums WHERE NSLevel > 0");

            if ($inDB->num_rows($result)){
				while($forum = $inDB->fetch_assoc($result)){

                    $forum_model->updateForumThreadsCount($forum['NSLeft'], $forum['NSRight']);
                    $forum_model->updateForumPostsCount($forum['NSLeft'], $forum['NSRight']);
                    $forum_model->cacheLastPost($forum['NSLeft'], $forum['NSRight']);

				}
            }
            echo '<p>Статистические данные форумов, тем и сообщений закешированы.</p>';

			$result = $inDB->query("SELECT id, answers, options FROM cms_forum_polls");

			if ($inDB->num_rows($result)){

				while($item = $inDB->fetch_assoc($result)){

					$item['answers'] = unserialize(iconv('utf-8', 'cp1251', $item['answers']));

                    $answers = array();
					foreach($item['answers'] as $param=>$value){
                        if($param){
                            $answers[iconv('cp1251', 'utf-8', urldecode($param))] = iconv('cp1251', 'utf-8', $value);
                        }
					}
                    $answers_yaml = ($answers) ? $inCore->arrayToYaml($answers) : "---\n";
					$answers_db   = $inDB->escape_string($answers_yaml);

					$item['options'] = unserialize(iconv('utf-8', 'cp1251', $item['options']));

                    $options = array();
					foreach($item['options'] as $param=>$value){
						$options[iconv('cp1251', 'utf-8', $param)] = iconv('cp1251', 'utf-8', $value);
					}
                    $options_yaml = ($options) ? $inCore->arrayToYaml($options) : "---\n";
					$options_db   = $inDB->escape_string($options_yaml);

					$inDB->query("UPDATE cms_forum_polls SET answers='{$answers_db}', options='{$options_db}' WHERE id='{$item['id']}'");

				}

			}

			echo '<p>Конвертация опросов на форуме выполнена, результаты переведены в формат YAML.</p>';

           	echo '<p>Все операции, связанные с изменением форума выполнены.</p>';
            echo '<h3><a href="/migrate/index.php?go=4">переходите ко четвертому шагу</a></h3>';
			$M_INFO['is_convert_forum'] = 1;

        }
    }
// ========================================================================== //
// ========================================================================== //

	if($step == 4){

		if(!@$M_INFO['is_convert_cat_photoalbum']){

			$result = $inDB->query("SELECT id, photoalbum FROM cms_category");

			if ($inDB->num_rows($result)){

				while($item = $inDB->fetch_assoc($result)){

					$item['photoalbum'] = iconv('utf-8', 'cp1251', $item['photoalbum']);
					$cfg = unserialize($item['photoalbum']);

					if($cfg){
                        $photoalbum = array();
						foreach($cfg as $param=>$value){
							$photoalbum[iconv('cp1251', 'utf-8', $param)] = iconv('cp1251', 'utf-8', $value);
						}

						$photoalbum = $inDB->escape_string(serialize($photoalbum));

						$inDB->query("UPDATE cms_category SET photoalbum='{$photoalbum}' WHERE id='{$item['id']}'");
					}

					unset($cfg);

				}

			}

			echo '<p>Конвертация настроек категорий выполнена.</p>';
			$M_INFO['is_convert_cat_photoalbum'] = 1;

		}

	// ========================================================================== //
	// ========================================================================== //

		if(!@$M_INFO['is_convert_pools']){

			$result = $inDB->query("SELECT id, answers FROM cms_polls");

			if ($inDB->num_rows($result)){

				while($item = $inDB->fetch_assoc($result)){

                    $cfg = array();
                    $answers = array();

					$item['answers'] = iconv('utf-8', 'cp1251', $item['answers']);

					$cfg = unserialize($item['answers']);

					foreach($cfg as $param=>$value){
                        if($param){
                            $answers[iconv('cp1251', 'utf-8', $param)] = iconv('cp1251', 'utf-8', $value);
                        }
					}

                    $answers_yaml = ($answers) ? $inCore->arrayToYaml($answers) : "---\n";
					$answers_db   = $inDB->escape_string($answers_yaml);
					$inDB->query("UPDATE cms_polls SET answers='{$answers_db}' WHERE id='{$item['id']}'");

				}

			}

            $inDB->query("ALTER TABLE `cms_polls_log` ADD INDEX ( `poll_id` )");
            $inDB->query("ALTER TABLE `cms_polls_log` CHANGE `answer_id` `answer` VARCHAR( 300 ) NOT NULL");
            $inDB->query("ALTER TABLE `cms_polls_log` ADD INDEX ( `user_id` )");
            $inDB->query("ALTER TABLE `cms_polls_log` ADD INDEX ( `ip` )");

			echo '<p>Конвертация опросов выполнена, ответы переведены в формат YAML.</p>';
			$M_INFO['is_convert_pools'] = 1;

		}

	// ========================================================================== //
	// ========================================================================== //

		if(!@$M_INFO['is_convert_form']){

			$result = $inDB->query("SELECT id, config FROM cms_form_fields");

			if ($inDB->num_rows($result)){

				while($item = $inDB->fetch_assoc($result)){

                    $cfg = array();

					$item['config'] = iconv('utf-8', 'cp1251', $item['config']);

					$cfg = unserialize($item['config']);

					foreach($cfg as $param=>$value){
						$cfg[$param] = iconv('cp1251', 'utf-8', $value);
					}

                    $config_yaml = ($cfg) ? $inCore->arrayToYaml($cfg) : "---\n";
					$cfg_db = $inDB->escape_string($config_yaml);

					$inDB->query("UPDATE cms_form_fields SET config='{$cfg_db}' WHERE id='{$item['id']}'");

				}

			}

			echo '<p>Настройки значений форм сконвертированы и переведены в формат YAML.</p>';
			$M_INFO['is_convert_form'] = 1;
		}
	// ========================================================================== //
	// ========================================================================== //

		if(!@$M_INFO['is_convert_uc_items']){

			$result = $inDB->query("SELECT id, fieldsdata FROM cms_uc_items");

			if ($inDB->num_rows($result)){

				while($item = $inDB->fetch_assoc($result)){

                    $cfg = array();

					$item['fieldsdata'] = iconv('utf-8', 'cp1251', $item['fieldsdata']);
					$cfg = unserialize($item['fieldsdata']);

					foreach($cfg as $param=>$value){
						$cfg[$param] = iconv('cp1251', 'utf-8', $value);
					}

					$cfg_db = $inDB->escape_string(serialize($cfg));

					$inDB->query("UPDATE cms_uc_items SET fieldsdata='{$cfg_db}' WHERE id='{$item['id']}'");

				}

			}

			echo '<p>Поля записей каталога сконвертированы.</p>';
			$M_INFO['is_convert_uc_items'] = 1;

		}

	// ========================================================================== //
	// ========================================================================== //

		if(!@$M_INFO['is_convert_uc_cats']){

			$result = $inDB->query("SELECT id, fieldsstruct FROM cms_uc_cats");

			if ($inDB->num_rows($result)){

				while($item = $inDB->fetch_assoc($result)){

                    $cfg = array();

					$item['fieldsstruct'] = iconv('utf-8', 'cp1251', $item['fieldsstruct']);
					$cfg = unserialize($item['fieldsstruct']);

					if($cfg){
						foreach($cfg as $param=>$value){
							$cfg[$param] = iconv('cp1251', 'utf-8', $value);
						}

						$cfg_db = $inDB->escape_string(serialize($cfg));
						$inDB->query("UPDATE cms_uc_cats SET fieldsstruct='{$cfg_db}' WHERE id='{$item['id']}'");
					}

				}

			}

			echo '<p>Поля категорий каталога сконвертированы.</p>';
			$M_INFO['is_convert_uc_cats'] = 1;

		}

	// ========================================================================== //
	// ========================================================================== //

		if(!@$M_INFO['is_convert_config']){

			$new_cfg = myIconv('cp1251', 'utf-8', cmsConfig::getConfig());

			$inConf->saveToFile($new_cfg);

			echo '<p>Конвертация файла конфигурации "/includes/config.inc.php" выполнена.</p>';
			$M_INFO['is_convert_config'] = 1;

		}

        cmsDatabase::optimizeTables();

		echo '<div style="margin:15px 0px;font-weight:bold">Миграция завершена. Удалите папку /migrate/ прежде чем продолжить!</div>';
		echo '<div style="margin:15px 0px;">Так же удалите файлы и каталоги на хостинге:</div>';
		echo '<ul>';
		echo '<li>/components/search/install.php</li>';
		echo '<li>/components/actions/install.php</li>';
		echo '<li>/modules/mod_bestblogs (и соответствующие файлы шаблонов). Модуль снят с показа.</li>';
		echo '<li>/modules/mod_bestclubs (и соответствующие файлы шаблонов). Модуль снят с показа.</li>';
		echo '<li>/modules/mod_bestphoto (и соответствующие файлы шаблонов). Модуль снят с показа.</li>';
		echo '<li>/modules/mod_latestblogs (и соответствующие файлы шаблонов).</li>';
		echo '<li>/modules/mod_latestclubs (и соответствующие файлы шаблонов).</li>';
		echo '<li>/modules/mod_latestphoto (и соответствующие файлы шаблонов).</li>';
		echo '<li>/admin/editor</li>';
		echo '<li>/backups</li>';
		echo '<li>/core/lib_clubs.php</li>';
		echo '<li>/core/lib_content.php</li>';
		echo '<li>/core/lib_photos.php</li>';
		echo '<li>/core/messages/siteoff.php</li>';
		echo '<li>/core/auth/autherror.html</li>';
		echo '<li>/core/auth/install.html</li>';
		echo '<li>/core/auth/installation.html</li>';
		echo '<li>/plugins/p_fckeditor/fckeditor/editor/filemanager/browser</li>';
		echo '<li>/components/comments/images</li>';
		echo '<li>/components/forum/js/attach.js</li>';
		echo '<li>/components/forum/images</li>';
		echo '<li>/components/forum/includes</li>';
		echo '<li>/components/actions/install.php</li>';
		echo '<li>/components/users/ajax/wall.php</li>';
		echo '<li>/components/users/js/view.js</li>';
		echo '<li>/components/users/js/newmessage.js</li>';
		echo '<li>/components/users/images</li>';
		echo '<li>/components/users/includes</li>';
		echo '<li>/components/blogs/images</li>';
		echo '<li>/components/blogs/includes</li>';
		echo '<li>/components/clubs/ajax/deletealbum.php</li>';
		echo '<li>/components/clubs/images</li>';
		echo '<li>/components/photos/ajax/pubphoto.php</li>';
		echo '<li>/components/photos/images</li>';
		echo '<li>/components/ratings</li>';
		echo '<li>/admin/includes/mainmenu.php</li>';
		echo '<li>/admin/includes/editor.php</li>';
		echo '<li>/admin/applets/frules.php</li>';
		echo '<li>/templates/_default_/components/com_blog_authors.tpl</li>';
 		echo '<li>/templates/_default_/components/com_photos_added.tpl</li>';
 		echo '<li>/templates/_default_/components/com_users_awards.tpl</li>';
 		echo '<li>/templates/_default_/components/com_users_comments.tpl</li>';
 		echo '<li>/templates/_default_/components/com_blog_catslist.tpl</li>';
 		echo '<li>/templates/_default_/components/com_users_forumposts.tpl</li>';
 		echo '<li>/templates/_default_/components/com_blog_moderate.tpl</li>';
 		echo '<li>/templates/_default_/components/com_users_newfriends.tpl</li>';
 		echo '<li>/templates/_default_/components/com_photos_best.tpl</li>';
 		echo '<li>/templates/_default_/components/com_photos_latest.tpl</li>';
 		echo '<li>/templates/_default_/components/com_photos_order.tpl</li>';
 		echo '<li>/templates/_default_/components/com_forum_view_act.tpl</li>';
		echo '<li>/languages/ru/modules/mod_tags.php</li>';
		echo '<li>/languages/ru/modules/mod_search.php</li>';
		echo '<li>/languages/ru/modules/mod_latestphoto.php</li>';
		echo '<li>/languages/ru/modules/mod_bestphoto.php</li>';
		echo '<li>/languages/ru/modules/mod_category.php</li>';
		echo '<li>/languages/ru/modules/mod_latestblogs.php</li>';
		echo '<li>/languages/ru/modules/mod_bestblogs.php</li>';
		echo '<li>/languages/ru/modules/mod_polls.php</li>';
		echo '<li>/languages/ru/modules/mod_pricecat.php</li>';
		echo '<li>/languages/ru/modules/mod_latestclubs.php</li>';
 		echo '<li>/languages/ru/modules/mod_bestclubs.php</li>';
		echo '</ul>';
		echo '<div class="nextlink"><a href="/">Перейти на сайт</a></div>';

	}
// ========================================================================== //
// ========================================================================== //

    echo '</div></body></html>';

// ========================================================================== //

	$cfg_file = fopen($info_migrate_file, 'w+');

	$text_info  = "<?php \n";
	$text_info .= '$M_INFO = array();'."\n";

	foreach($M_INFO as $key=>$value){

		if (is_int($value)){
			$text_info .= '$M_INFO' . "['$key'] \t= $value;\n";
		} else {
			$text_info .= '$M_INFO' . "['$key'] \t= '$value';\n";
		}

	}

	$text_info .= "?>";
	fwrite($cfg_file, $text_info);
	fclose($cfg_file);

	function myIconv($from, $to, $var){
		if (is_array($var)){
			$new = array();
			foreach ($var as $key => $val){
				$new[myIconv($from, $to, $key)] = myIconv($from, $to, str_replace('\n', "\n", $val));
			}
			$var = $new;
		} else if (is_string($var)){
			$var = stripslashes(iconv($from, $to, str_replace('\n', "\n", $var)));
		}
		return $var;
	}

?>